Package org.apache.tapestry5.internal.services

## Class ClasspathAssetFactory

- java.lang.Object
- - org.apache.tapestry5.internal.services.AbstractAssetFactory
  - - org.apache.tapestry5.internal.services.ClasspathAssetFactory

- All Implemented Interfaces:
    `AssetFactory`

      @Marker(ClasspathProvider.class)
      public class ClasspathAssetFactory
      extends AbstractAssetFactory

  Generates Assets for files on the classpath.
  See Also:
    `AssetDispatcher`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClasspathAssetFactory​(ResponseCompressionAnalyzer compressionAnalyzer, ResourceChangeTracker resourceChangeTracker, StreamableResourceSource streamableResourceSource, AssetPathConstructor assetPathConstructor, ClasspathAssetAliasManager aliasManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Asset` | `createAsset​(Resource resource)` | Creates an instance of an asset.

    - ### Methods inherited from class org.apache.tapestry5.internal.services.AbstractAssetFactory

      `createAsset, getRootResource, isCompressable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathAssetFactory

          public ClasspathAssetFactory​(ResponseCompressionAnalyzer compressionAnalyzer,
                                       ResourceChangeTracker resourceChangeTracker,
                                       StreamableResourceSource streamableResourceSource,
                                       AssetPathConstructor assetPathConstructor,
                                       ClasspathAssetAliasManager aliasManager)

  - ### Method Detail

    - #### createAsset

          public Asset createAsset​(Resource resource)

      Description copied from interface: `AssetFactory`
      Creates an instance of an asset.
      Parameters:
        `resource` - a resource within this factories domain (derived from the root resource)
      Returns:
        an Asset for the resource